CREATE TABLE ego_item_supplier_intf_eff_tl (
    BATCH_ID                      NUMBER(18, 0) ,
    TRANSACTION_ID                NUMBER(18, 0) ,
    PROCESS_STATUS                NUMBER(18, 0) ,
    TRANSACTION_TYPE              VARCHAR2(40)  ,
    BUNDLE_ID                     NUMBER(18, 0) ,
    SOURCE_SYSTEM_ID              NUMBER(18, 0) ,
    PREPROCESS_THREAD_NUMBER      NUMBER(18, 0) ,
    SOURCE_SYSTEM_REFERENCE       VARCHAR2(1020),
    INVENTORY_ITEM_ID             NUMBER(18, 0) ,
    ITEM_NUMBER                   VARCHAR2(3280),
    ORGANIZATION_ID               NUMBER(18, 0) ,
    ORGANIZATION_CODE             VARCHAR2(72)  ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    THREAD_NUMBER                 NUMBER(18, 0) ,
    SUPPLIER_ID                   NUMBER(18, 0) ,
    SUPPLIER_SITE_ID              NUMBER(18, 0) ,
    SUPPLIER_NAME                 VARCHAR2(1440),
    SUPPLIER_SITE_NAME            VARCHAR2(960) ,
    CONTEXT_CODE                  VARCHAR2(320) ,
    GLOBAL_LOCATION_NUMBER        VARCHAR2(52)  ,
    INTERFACE_TABLE_UNIQUE_ID     NUMBER(18, 0) ,
    ASSOCIATION_TRANSACTION_ID    NUMBER(18, 0) ,
    ROW_NUM                       NUMBER(18, 0) ,
    SOURCE_LANG                   VARCHAR2(16)  ,
    LANGUAGE                      VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CHAR1               VARCHAR2(4000),
    ATTRIBUTE_CHAR2               VARCHAR2(4000),
    ATTRIBUTE_CHAR3               VARCHAR2(4000),
    ATTRIBUTE_CHAR4               VARCHAR2(4000),
    ATTRIBUTE_CHAR5               VARCHAR2(4000),
    ATTRIBUTE_CHAR6               VARCHAR2(4000),
    ATTRIBUTE_CHAR7               VARCHAR2(4000),
    ATTRIBUTE_CHAR8               VARCHAR2(4000),
    ATTRIBUTE_CHAR9               VARCHAR2(4000),
    ATTRIBUTE_CHAR10              VARCHAR2(4000),
    ATTRIBUTE_CHAR11              VARCHAR2(4000),
    ATTRIBUTE_CHAR12              VARCHAR2(4000),
    ATTRIBUTE_CHAR13              VARCHAR2(4000),
    ATTRIBUTE_CHAR14              VARCHAR2(4000),
    ATTRIBUTE_CHAR15              VARCHAR2(4000),
    ATTRIBUTE_CHAR16              VARCHAR2(4000),
    ATTRIBUTE_CHAR17              VARCHAR2(4000),
    ATTRIBUTE_CHAR18              VARCHAR2(4000),
    ATTRIBUTE_CHAR19              VARCHAR2(4000),
    ATTRIBUTE_CHAR20              VARCHAR2(4000),
    ATTRIBUTE_CHAR21              VARCHAR2(4000),
    ATTRIBUTE_CHAR22              VARCHAR2(4000),
    ATTRIBUTE_CHAR23              VARCHAR2(4000),
    ATTRIBUTE_CHAR24              VARCHAR2(4000),
    ATTRIBUTE_CHAR25              VARCHAR2(4000),
    ATTRIBUTE_CHAR26              VARCHAR2(4000),
    ATTRIBUTE_CHAR27              VARCHAR2(4000),
    ATTRIBUTE_CHAR28              VARCHAR2(4000),
    ATTRIBUTE_CHAR29              VARCHAR2(4000),
    ATTRIBUTE_CHAR30              VARCHAR2(4000),
    ATTRIBUTE_CHAR31              VARCHAR2(4000),
    ATTRIBUTE_CHAR32              VARCHAR2(4000),
    ATTRIBUTE_CHAR33              VARCHAR2(4000),
    ATTRIBUTE_CHAR34              VARCHAR2(4000),
    ATTRIBUTE_CHAR35              VARCHAR2(4000),
    ATTRIBUTE_CHAR36              VARCHAR2(4000),
    ATTRIBUTE_CHAR37              VARCHAR2(4000),
    ATTRIBUTE_CHAR38              VARCHAR2(4000),
    ATTRIBUTE_CHAR39              VARCHAR2(4000),
    ATTRIBUTE_CHAR40              VARCHAR2(4000),
    VERSION_START_DATE            DATE          ,
    VERSION_REVISION_CODE         VARCHAR2(72)  ,
    PHASE_NUMBER                  NUMBER(18, 0) ,
    VERSION_ENABLED_FLAG          VARCHAR2(4)   ,
    BATCH_NUMBER                  VARCHAR2(160) ,
    SOURCE_SYSTEM_CODE            VARCHAR2(120) ,
    LOAD_REQUEST_ID               NUMBER(18, 0) ,
    ATTRIBUTE_CHAR1_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR2_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR3_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR4_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR5_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR6_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR7_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR8_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR9_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR10_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR11_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR12_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR13_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR14_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR15_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR16_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR17_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR18_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR19_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR20_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR21_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR22_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR23_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR24_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR25_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR26_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR27_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR28_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR29_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR30_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR31_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR32_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR33_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR34_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR35_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR36_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR37_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR38_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR39_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR40_VALUE        VARCHAR2(600) ,
    INTERFACE_DATA_TYPE           VARCHAR2(400) ,
    BATCH_ID                      NUMBER(18, 0) ,
    TRANSACTION_ID                NUMBER(18, 0) ,
    PROCESS_STATUS                NUMBER(18, 0) ,
    TRANSACTION_TYPE              VARCHAR2(40)  ,
    BUNDLE_ID                     NUMBER(18, 0) ,
    SOURCE_SYSTEM_ID              NUMBER(18, 0) ,
    SOURCE_SYSTEM_REFERENCE       VARCHAR2(1020),
    INVENTORY_ITEM_ID             NUMBER(18, 0) ,
    ITEM_NUMBER                   VARCHAR2(3280),
    ORGANIZATION_ID               NUMBER(18, 0) ,
    ORGANIZATION_CODE             VARCHAR2(72)  ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    THREAD_NUMBER                 NUMBER(18, 0) ,
    SUPPLIER_ID                   NUMBER(18, 0) ,
    SUPPLIER_SITE_ID              NUMBER(18, 0) ,
    SUPPLIER_NAME                 VARCHAR2(1440),
    SUPPLIER_SITE_NAME            VARCHAR2(960) ,
    CONTEXT_CODE                  VARCHAR2(320) ,
    INTERFACE_TABLE_UNIQUE_ID     NUMBER(18, 0) ,
    ASSOCIATION_TRANSACTION_ID    NUMBER(18, 0) ,
    ROW_NUM                       NUMBER(18, 0) ,
    SOURCE_LANG                   VARCHAR2(16)  ,
    LANGUAGE                      VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CHAR1               VARCHAR2(4000),
    ATTRIBUTE_CHAR2               VARCHAR2(4000),
    ATTRIBUTE_CHAR3               VARCHAR2(4000),
    ATTRIBUTE_CHAR4               VARCHAR2(4000),
    ATTRIBUTE_CHAR5               VARCHAR2(4000),
    ATTRIBUTE_CHAR6               VARCHAR2(4000),
    ATTRIBUTE_CHAR7               VARCHAR2(4000),
    ATTRIBUTE_CHAR8               VARCHAR2(4000),
    ATTRIBUTE_CHAR9               VARCHAR2(4000),
    ATTRIBUTE_CHAR10              VARCHAR2(4000),
    ATTRIBUTE_CHAR11              VARCHAR2(4000),
    ATTRIBUTE_CHAR12              VARCHAR2(4000),
    ATTRIBUTE_CHAR13              VARCHAR2(4000),
    ATTRIBUTE_CHAR14              VARCHAR2(4000),
    ATTRIBUTE_CHAR15              VARCHAR2(4000),
    ATTRIBUTE_CHAR16              VARCHAR2(4000),
    ATTRIBUTE_CHAR17              VARCHAR2(4000),
    ATTRIBUTE_CHAR18              VARCHAR2(4000),
    ATTRIBUTE_CHAR19              VARCHAR2(4000),
    ATTRIBUTE_CHAR20              VARCHAR2(4000),
    ATTRIBUTE_CHAR21              VARCHAR2(4000),
    ATTRIBUTE_CHAR22              VARCHAR2(4000),
    ATTRIBUTE_CHAR23              VARCHAR2(4000),
    ATTRIBUTE_CHAR24              VARCHAR2(4000),
    ATTRIBUTE_CHAR25              VARCHAR2(4000),
    ATTRIBUTE_CHAR26              VARCHAR2(4000),
    ATTRIBUTE_CHAR27              VARCHAR2(4000),
    ATTRIBUTE_CHAR28              VARCHAR2(4000),
    ATTRIBUTE_CHAR29              VARCHAR2(4000),
    ATTRIBUTE_CHAR30              VARCHAR2(4000),
    ATTRIBUTE_CHAR31              VARCHAR2(4000),
    ATTRIBUTE_CHAR32              VARCHAR2(4000),
    ATTRIBUTE_CHAR33              VARCHAR2(4000),
    ATTRIBUTE_CHAR34              VARCHAR2(4000),
    ATTRIBUTE_CHAR35              VARCHAR2(4000),
    ATTRIBUTE_CHAR36              VARCHAR2(4000),
    ATTRIBUTE_CHAR37              VARCHAR2(4000),
    ATTRIBUTE_CHAR38              VARCHAR2(4000),
    ATTRIBUTE_CHAR39              VARCHAR2(4000),
    ATTRIBUTE_CHAR40              VARCHAR2(4000),
    VERSION_START_DATE            DATE          ,
    VERSION_REVISION_CODE         VARCHAR2(72)  ,
    PHASE_NUMBER                  NUMBER(18, 0) ,
    VERSION_ENABLED_FLAG          VARCHAR2(4)   ,
    BATCH_NUMBER                  VARCHAR2(160) ,
    SOURCE_SYSTEM_CODE            VARCHAR2(120) ,
    LOAD_REQUEST_ID               NUMBER(18, 0) ,
    ATTRIBUTE_CHAR1_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR2_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR3_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR4_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR5_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR6_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR7_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR8_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR9_VALUE         VARCHAR2(600) ,
    ATTRIBUTE_CHAR10_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR11_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR12_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR13_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR14_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR15_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR16_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR17_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR18_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR19_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR20_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR21_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR22_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR23_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR24_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR25_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR26_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR27_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR28_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR29_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR30_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR31_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR32_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR33_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR34_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR35_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR36_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR37_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR38_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR39_VALUE        VARCHAR2(600) ,
    ATTRIBUTE_CHAR40_VALUE        VARCHAR2(600) ,
    GLOBAL_LOCATION_NUMBER        VARCHAR2(52)  ,
    INTERFACE_DATA_TYPE           VARCHAR2(400) ,
    PREPROCESS_THREAD_NUMBER      NUMBER(18, 0) 
);
